/* Fall 2022 Lab 10a
	Nicholas Graziani
	lab section 007
	11.13.2022
   Create the flag of Ireland using multiple files
*/


#include "defs.h"


int main (void){
	header_t header;
	header = getHeader();

	int width = header.width;
	int height = header.height;

	const int arraySize = width * height;
	pixel_t *flagArray = (pixel_t *) malloc(arraySize * sizeof(pixel_t));
;

	writeHeader(header);
	
	fillImageArray(flagArray, width, height);
	
	writePixels(flagArray, width, height);

	return 0;
}
